//#####################################################################
// Copyright 2012-2025 Craig Schroeder.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYREGHT.txt.
//#####################################################################

#include <Core/Symbolics/COMPILER_DATA.h>
#include <Core/Log/LOG.h>
namespace PhysBAM{

//#####################################################################
// Function Type_Str
//#####################################################################
template<class T> std::string COMPILER_DATA<T>::
Type_Str() const
{
    if(type==TYPE::scalar) return "scalar";
    else if(type==TYPE::vec) return LOG::sprintf("vec(%i)",m);
    else if(type==TYPE::mat) return LOG::sprintf("mat(%i,%i)",m,n);
    else return "unknown";
}
template struct COMPILER_DATA<float>;
template struct COMPILER_DATA<double>;
}
